import torch
import torch.nn as nn

class BilinearLayer(nn.Module):
    def __init__(self, in1, in2, out):
        super().__init__()
        self.bilinear = nn.Bilinear(in1, in2, out)

    def forward(self, x1, x2):
        return self.bilinear(x1, x2)